<?php
	/**
	 * Comment Form Placeholder Author, Email, URL
	 */
	function pointify_placeholder_author_email_url_form_fields($fields) {
		$replace_author = __('Full Name', 'pointify');
		$replace_email = __('Email', 'pointify');
		$replace_url = __('Website', 'pointify');
		
		
		$fields['author'] = 
		'<p class="comment-form-author">
			<label for="author"></label> 
			<input id="author" name="author" type="text" placeholder="'.$replace_author.'" value="" size="30"/>
		</p>';
						
		$fields['email'] = 
		'<p class="comment-form-email">
			<label for="email"></label> 
			<input id="email" name="email" type="text" placeholder="'.$replace_email.'" value="" size="30" />
		</p>';
		
		$fields['url'] = 
		'<p class="comment-form-url">
			<label for="url"></label>
			<input id="url" name="url" type="text" placeholder="'.$replace_url.'" value="" size="30" />
		</p>';
		return $fields;
	}
	add_filter('comment_form_default_fields','pointify_placeholder_author_email_url_form_fields');

	/**
	 * Comment Form Placeholder Comment Field
	 */
	 function pointify_placeholder_comment_form_field($fields) {
		$replace_comment = __('Your Message', 'pointify');
		 
		$fields['comment_field'] = '<p class="comment-form-comment">
		<label for="comment"></label>
		<textarea id="comment" name="comment" cols="45" rows="8" placeholder="'.$replace_comment.'" aria-required="true"></textarea></p>';
		
		return $fields;
	 }
	add_filter( 'comment_form_defaults', 'pointify_placeholder_comment_form_field' );